<s:div xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
       xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
       xmlns="http://www.w3.org/1999/xhtml"
       rendered="#{(xdrsrcSimulatorManagerBean.selectedAffinityDomain != null) and (not xdrsrcSimulatorManagerBean.selectedAffinityDomain.keyword.equals('epSOS')) and (xdrsrcSimulatorManagerBean.selectedConfiguration != null)}">

    #{pnrIHEManager.init(selectedAffinityDomain, selectedTransaction, conf)}

    <table style="width:100%;">
        <tr valign="top">
            <td width="25%" valign="top">
                <f:subview id="subview_1">
                    <ui:include src="pnr_tree.xhtml"/>
                </f:subview>
            </td>
            <td width="75%">
                <s:div id="metadata_id">
                    <f:subview id="subview_2">
                        <ui:include src="submissionSet.xhtml"/>
                    </f:subview>
                    <f:subview id="subview_3">
                        <ui:include src="xdsFolder.xhtml"/>
                    </f:subview>
                    <f:subview id="subview_4">
                        <ui:include src="documentEntry.xhtml"/>
                    </f:subview>
                </s:div>
            </td>
        </tr>
    </table>

    <br/>

    <a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
                       oncomplete="jq162('#previewMessagePanelIHE').modal('show');"
                       value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
                       render="previewForm"/>

    <a4j:commandButton value="#{messages['gazelle.xdrsrc.Execute']}" styleClass="gzl-btn-green"
                       actionListener="#{pnrIHEManager.sendProvideAndRegisterSetb()}"
                       render="messagesDiv"/>
    <br/>
    <br/>

    <s:div id="messagesDiv">
        <gri:panel id="messagePanel" rendered="#{pnrIHEManager.displayResultPanel == true}">
            <f:facet name="header">#{messages['gazelle.xdrsrc.executionSummary']}</f:facet>
            #{allMessageManagerBean.listMessagesToDisplay()}
            <ui:include src="/messages/messageTable.xhtml">
                <ui:param name="messageManagerBean" value="#{allMessageManagerBean}"/>
            </ui:include>
        </gri:panel>
    </s:div>

    <f:subview id="subview_5">
        <ui:include src="pnr_modalPanel.xhtml"/>

    </f:subview>
</s:div>
